Skip Menu |
 

This queue is for tickets about the XMLNews-HTMLTemplate CPAN distribution.

Report information
The Basics
Id: 121155
Status: new
Priority: 0/
Queue: XMLNews-HTMLTemplate

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.01
Fixed in: (no value)



Subject: Undeclared dependency
Download (untitled) / with headers
text/plain 743b
The test suite fails if XMLNews::Meta is not installed: ... PERL_DL_NONLAZY=1 /usr/local/bin/perl5 "-Iblib/lib" "-Iblib/arch" test.pl 1..1 Can't locate XMLNews/Meta.pm in @INC (you may need to install the XMLNews::Meta module) (@INC contains: blib/lib blib/arch /usr/local/lib/perl5/site_perl/mach/5.20 /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/5.20/mach /usr/local/lib/perl5/5.20 /usr/local/lib/perl5/site_perl/5.20 /usr/local/lib/perl5/site_perl/5.20/mach .) at blib/lib/XMLNews/HTMLTemplate.pm line 7. BEGIN failed--compilation aborted at blib/lib/XMLNews/HTMLTemplate.pm line 7. Compilation failed in require at test.pl line 11. BEGIN failed--compilation aborted at test.pl line 11. not ok 1 *** [test_dynamic] Error code 2 ...
Download (untitled) / with headers
text/plain 1.4k
On 2017-04-15 08:57:05, SREZIC wrote: Show quoted text
> The test suite fails if XMLNews::Meta is not installed: > > ... > PERL_DL_NONLAZY=1 /usr/local/bin/perl5 "-Iblib/lib" "-Iblib/arch" > test.pl > 1..1 > Can't locate XMLNews/Meta.pm in @INC (you may need to install the > XMLNews::Meta module) (@INC contains: blib/lib blib/arch > /usr/local/lib/perl5/site_perl/mach/5.20 > /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/5.20/mach > /usr/local/lib/perl5/5.20 /usr/local/lib/perl5/site_perl/5.20 > /usr/local/lib/perl5/site_perl/5.20/mach .) at > blib/lib/XMLNews/HTMLTemplate.pm line 7. > BEGIN failed--compilation aborted at blib/lib/XMLNews/HTMLTemplate.pm > line 7. > Compilation failed in require at test.pl line 11. > BEGIN failed--compilation aborted at test.pl line 11. > not ok 1 > *** [test_dynamic] Error code 2 > ...
Also possibly undeclared: XML::Parser: PERL_DL_NONLAZY=1 "/bbbike/perl-5.8.1/bin/perl" "-Iblib/lib" "-Iblib/arch" test.pl 1..1 Can't locate XML/Parser.pm in @INC (@INC contains: blib/lib blib/arch /opt/perl-5.8.1/lib/5.8.1/x86_64-linux /opt/perl-5.8.1/lib/5.8.1 /opt/perl-5.8.1/lib/site_perl/5.8.1/x86_64-linux /opt/perl-5.8.1/lib/site_perl/5.8.1 /opt/perl-5.8.1/lib/site_perl .) at blib/lib/XMLNews/HTMLTemplate.pm line 6. BEGIN failed--compilation aborted at blib/lib/XMLNews/HTMLTemplate.pm line 6. Compilation failed in require at test.pl line 11. BEGIN failed--compilation aborted at test.pl line 11. not ok 1


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.